Bug 746573 - AttributeError: 'NoneType' object has no attribute 'default'
AttributeError: 'NoneType' object has no attribute 'default'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
abrt_hash:358c4fabe4e929c66d9df906cce...
:
Depends On:
Blocks: F16-accepted/F16FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2011-10-17 02:23 EDT by Tao Wu
Modified: 2014-10-28 19:45 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-16.23-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-02 21:49:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-CPtTLr (450.32 KB, text/plain)
2011-10-17 02:23 EDT, Tao Wu
no flags Details
anaconda 17.29 exception report (352.44 KB, application/octet-stream)
2012-12-28 13:18 EST, nobody
no flags Details

  None (edit)
Description Tao Wu 2011-10-17 02:23:00 EDT
libreport version: 2.0.6
executable:     /usr/bin/python
hashmarkername: anaconda
kernel:         3.1.0-0.rc9.git0.0.fc16.i686
product:        Fedora
reason:         AttributeError: 'NoneType' object has no attribute 'default'
time:           Mon Oct 17 02:22:02 2011
version:        16-TC1

anaconda-tb-CPtTLr: Text file, 461130 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 16.21 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/iw/task_gui.py", line 515, in <lambda>
:    "default", False), grps)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/iw/task_gui.py", line 515, in getNext
:    "default", False), grps)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/gui.py", line 1197, in nextClicked
:    rc = self.currentWindow.getNext ()
:AttributeError: 'NoneType' object has no attribute 'default'
Comment 1 Tao Wu 2011-10-17 02:23:07 EDT
Created attachment 528467 [details]
File: anaconda-tb-CPtTLr
Comment 2 Ales Kozumplik 2011-10-17 04:25:46 EDT
Can you describe steps to reproduce? I noticed you are using (your testing?) repo http://rhe.fedorapeople.org/repotest/. Please leave it at a state allowing this bug to be reproduced here.
Comment 3 Ales Kozumplik 2011-10-17 09:23:59 EDT
Tao,

I managed to reproduce by using your testing repo URL to replace the fedora installation DVD repo. That causes a traceback upon clicking _Next.

Here's an updates image if you want to test the fix:
akozumpl.fedorapeople.org/bz746573.img

The patch has been posted here:
https://www.redhat.com/archives/anaconda-devel-list/2011-October/msg00087.html
Comment 4 Ales Kozumplik 2011-10-21 07:42:06 EDT
Proposing as a blocker, the steps from comment 3 lead to a traceback (it is not very probable someone who is not particularly trying to test the task screen would hit that).
Comment 5 Adam Williamson 2011-10-21 13:27:31 EDT
Discussed at 2011-10-21 blocker review meeting. As we understand this bug it doesn't seem to quite meet the release criteria, as you have to delete an existing repository to hit it, and that's not in the criteria (and isn't a terribly common thing to do anyway). But accepted as NTH as it can cause a crash and we should fix those, assuming the patch is pretty safe.
Comment 6 Ales Kozumplik 2011-10-24 10:26:56 EDT
Fixed by:
2f18fc978fd157dd906dfa57a39d1db8af680f8b on f16-branch,
a84c4a35eddf84977e35a76ac571197591cec2c7 on master.
Comment 7 Fedora Update System 2011-10-25 17:02:32 EDT
anaconda-16.23-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.23-1.fc16
Comment 8 Adam Williamson 2011-11-02 21:49:58 EDT
Should be fixed now, that anaconda went stable. Let's close, re-open if it still happens.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 nobody 2012-12-28 13:18:27 EST
Created attachment 669943 [details]
anaconda 17.29 exception report

In anaconda 17.29, i deselected fedora 17 repositories, inserted a rawhide repository, and anaconda crashed when i clicked next, with the stack trace report.

Note You need to log in before you can comment on or make changes to this bug.